System requirements: BlackBerry MVS

Item

Requirement

Hardware

  • Two Intel® Xeon® 2.0 GHz processors
  • 250 GB disk space
  • 4 GB RAM
  • Two drives that are configured as RAID 1 or better

Operating system

Any of the following operating systems:
  • Windows Server® 2003 R2 SP2 (32-bit or 64-bit)
  • Windows Server 2008 SP1 (32-bit or 64-bit)
  • Windows Server 2008 SP2 (32-bit or 64-bit)
  • Windows Server 2008 R2 (64-bit)

BlackBerry® Enterprise Server

Any of the following BlackBerry Enterprise Server software:
  • BlackBerry® Enterprise Server 5.0.0 or later for Microsoft® Exchange
  • BlackBerry® Enterprise ServerBlackBerry Enterprise Server 5.0.0 or later for IBM® Lotus® Domino®
  • BlackBerry® Enterprise Server 5.0.0 or later for Novell® GroupWise®

Data management system

The required data management system depends on the version of the BlackBerry Enterprise Server that your organizations uses. All data management systems must have named pipes turned off and TCP/IP network protocols turned on.

BlackBerry Enterprise Server 5.0:
  • Microsoft® SQL Server® 2000 SP4
  • Microsoft SQL Server 2005 (32-bit or 64-bit)
  • Microsoft SQL Server 2005 SP2 (32-bit or 64-bit)
  • Microsoft SQL Server 2005 SP3
  • Microsoft SQL Server 2005 Express Edition
  • Microsoft SQL Server 2005 Express Edition SP2
BlackBerry Enterprise Server 5.0 SP1:
  • Microsoft SQL Server 2000 SP4
  • Microsoft SQL Server 2005 (32-bit or 64-bit)
  • Microsoft SQL Server 2005 SP2 (32-bit or 64-bit)
  • Microsoft SQL Server 2005 SP3 (32-bit or 64-bit)
  • Microsoft SQL Server 2005 Express Edition
  • Microsoft SQL Server 2005 Express Edition SP2
  • Microsoft SQL Server 2005 Express Edition SP3
  • Microsoft SQL Server 2008 (32-bit or 64-bit)
  • Microsoft SQL Server 2008 SP1 (32-bit or 64-bit)
  • Microsoft SQL Server 2008 Express Edition (32-bit or 64-bit)
  • Microsoft SQL Server 2008 Express Edition SP1 (32-bit or 64-bit)
BlackBerry Enterprise Server 5.0 SP2 or BlackBerry Enterprise Server 5.0 SP3:
  • Microsoft SQL Server 2000 SP4
  • Microsoft SQL Server 2005 (32-bit or 64-bit)
  • Microsoft SQL Server 2005 SP2 (32-bit or 64-bit)
  • Microsoft SQL Server 2005 SP3 (32-bit or 64-bit)
  • Microsoft SQL Server 2005 Express Edition
  • Microsoft SQL Server 2005 Express Edition SP2
  • Microsoft SQL Server 2005 Express Edition SP3
  • Microsoft SQL Server 2008 (32-bit or 64-bit)
  • Microsoft SQL Server 2008 SP1 (32-bit or 64-bit)
  • Microsoft SQL Server 2008 SP2 (32-bit or 64-bit)
  • Microsoft SQL Server 2008 R2 (32-bit or 64-bit)
  • Microsoft SQL Server 2008 Express Edition (32-bit or 64-bit)
  • Microsoft SQL Server 2008 Express Edition SP1 (32-bit or 64-bit)

Java® platform

Version 1.6 update 16

Browser

Any of the following browsers:
  • Windows® Internet Explorer® 7 with JavaScript® turned on
  • Windows Internet Explorer 8 with JavaScript turned on
  • Mozilla® Firefox® 3.5 or later

Corporate telephony infrastructure

PBX vendor that is BlackBerry MVS platform-compliant

BlackBerry device

Any of the following devices:

  • BlackBerry® Pearl™ 8100 smartphone
  • BlackBerry® Pearl™ 8220 smartphone
  • BlackBerry® Curve™ 8300 smartphone
  • BlackBerry® Curve™ 8310 smartphone
  • BlackBerry® Curve™ 8320 smartphone
  • BlackBerry® Curve™ 8330 smartphone
  • BlackBerry® Curve™ 8520 smartphone
  • BlackBerry® Curve™ 8530 smartphone
  • BlackBerry® 8700 Series
  • BlackBerry® 8800 smartphone
  • BlackBerry® 8820 smartphone
  • BlackBerry® Curve™ 8900 smartphone
  • BlackBerry® Curve™ 8910 smartphone
  • BlackBerry® Bold™ 9000 smartphone
  • BlackBerry® Curve™ 9300 smartphone
  • BlackBerry® Curve™ 9330 smartphone
  • BlackBerry® Storm™ 9500 smartphone
  • BlackBerry® Storm™ 9530 smartphone
  • BlackBerry® Storm2™ Series
  • BlackBerry® Tour™ 9630 smartphone
  • BlackBerry® Style™ 9670 smartphone
  • BlackBerry® Bold™ 9700 smartphone
  • BlackBerry® Bold™ 9780 smartphone
  • BlackBerry® Torch™ 9800 smartphone
  • BlackBerry® Torch™ 9810 smartphone
  • BlackBerry® Torch™ 9850 smartphone
  • BlackBerry® Bold™ 9900 smartphone
  • BlackBerry® Bold™ 9930 smartphone

BlackBerry® Device Software

Any of the following BlackBerry Device Software versions:
  • BlackBerry Device Software 4.5 or later for devices that operate on GSM® networks (Voice over Mobile support only)
  • BlackBerry Device Software 4.7.1 or later for devices that operate on CDMA networks (Voice over Mobile support only)
  • BlackBerry Device Software 5.0 or later for Voice over Wi-Fi® support and Voice over Mobile support
  • BlackBerry 6.0 or later for Voice over Wi-Fi support and Voice over Mobile support

Wireless service plan

Any of the following features:
  • Data and voice (not required if you use only Wi-Fi to make and take BlackBerry MVS calls)
  • Caller ID (not required if you use only Wi-Fi to make and take BlackBerry MVS calls)

Virtual environment (if applicable)

Any of the following virtual environment software:
  • VMware® ESX® Server 3.5.x
  • VMware vSphere® 4.x
  • Microsoft® Hyper-V® Server 2008 R2
Previous topic: Requirements

Was this information helpful? Send us your comments.